Subject: Re: linux-next: Signed-off-by missing for commit in the usb-chipidea-next tree

From: Greg KH <[email-masked]>
Date: Tue, 1 Dec 2020 19:08:46 +0100

On Tue, Dec 01, 2020 at 10:52:17AM +0000, Peter Chen wrote:
> > 
> > Hi all,
> > 
> > Commits
> > 
> >   b140b354d127 ("usb: typec: Add type sysfs attribute file for partners")
> >   a67ad71c6468 ("usb: common: ulpi: Constify static attribute_group struct")
> >   61336e5db8f9 ("usb: typec: Constify static attribute_group structs")
> >   f18890ead25d ("USB: core: Constify static attribute_group structs")
> >   137bd0e04f46 ("usb: typec: tcpm: Stay in
> > SNK_TRY_WAIT_DEBOUNCE_CHECK_VBUS till Rp is seen")
> >   2413711487c3 ("usb: typec: tcpm: Disregard vbus off while in
> > PR_SWAP_SNK_SRC_SOURCE_ON")
> >   38707ad78e16 ("usb: typec: Expose Product Type VDOs via sysfs")
> >   581140741224 ("usb: typec: Consolidate sysfs ABI documentation")
> >   5b63ba7f3f62 ("usb: pd: DFP product types")
> >   b5325e0017d7 ("usb: isp1301-omap: Convert to use GPIO descriptors")
> >   9e7290cb419d ("usb: Fix fall-through warnings for Clang")
> >   cf8314bb9f26 ("usb: typec: Fix num_altmodes kernel-doc error")
> >   442fa9c05cab ("usb: typec: Add plug num_altmodes sysfs attr")
> >   1193103c1076 ("usb: typec: tcpci_maxim: Fix the compatible string")
> >   13c53c00e81f ("dt-bindings: usb: Maxim type-c controller device tree binding
> > document")
> >   f5a98cc36225 ("usb: typec: tcpci_maxim: Fix uninitialized return variable")
> >   203fd830a193 ("usb: typec: tcpci_maxim: Enable auto discharge
> > disconnect")
> >   ebcf6c255080 ("usb: typec: tcpci: Implement Auto discharge disconnect
> > callbacks")
> >   428804eed4cd ("usb: typec: tcpm: Implement enabling Auto Discharge
> > disconnect support")
> >   cece16630a9c ("usb: typec: tcpci_maxim: Fix vbus stuck on upon
> > diconnecting sink")
> >   294a8e667ad9 ("usb: typec: tcpci: frs sourcing vbus callback")
> >   1c109ebc0134 ("usb: typec: tcpm: frs sourcing vbus callback")
> >   85c16dc068ed ("usb: typec: tcpm: Refactor logic for
> > new-source-frs-typec-current")
> >   66d004aff708 ("usb: typec: Add number of altmodes partner attr")
> >   259fcae90f7e ("usb: pd: Add captive Type C cable type")
> >   1090d1e366ea ("USB: apple-mfi-fastcharge: Fix kfree after failed kzalloc")
> >   44e0bf239206 ("usb/max3421: fix return error code in max3421_probe()")
> >   ff5e0488d7fe ("usb: typec: Remove one bit support for the Thunderbolt
> > rounded/non-rounded cable")
> >   bb328b790edb ("usb: typec: intel_pmc_mux: Configure Thunderbolt cable
> > generation bits")
> >   235920c3c80e ("platform/chrome: cros_ec_typec: Correct the Thunderbolt
> > rounded/non-rounded cable support")
> >   9d11b7220dff ("usb: typec: Correct the bit values for the Thunderbolt
> > rounded/non-rounded cable support")
> >   dd07e75a143a ("usb: hcd.h: Remove RUN_CONTEXT")
> >   997d2edc58ed ("usb: host: ehci-mxc: Remove the driver")
> >   1261e818b439 ("usb: host: imx21-hcd: Remove the driver")
> >   170408f6e69a ("USB: storage: avoid use of uninitialized values in error
> > path")
> >   2de743b08132 ("usb: fix a few cases of -Wfallthrough")
> >   69f7421c6160 ("usb: misc: brcmstb-usb-pinmap: Make sync_all_pins static")
> >   0f399ba93d3e ("usb: typec: ucsi: Work around PPM losing change
> > information")
> >   c1a6cb538802 ("usb: typec: ucsi: acpi: Always decode connector change
> > information")
> >   dcb4ce0e4492 ("usb: misc: brcmstb-usb-pinmap: Fix an IS_ERR() vs NULL
> > check")
> >   68d6f2bcbfd0 ("kcov, usb: only collect coverage from
> > __usb_hcd_giveback_urb in softirq")
> >   a7d43316e47c ("USB: host: isp1362: delete isp1362_show_regs()")
> >   74bfec445b03 ("dt-bindings: connector: Add property to set initial current
> > cap for FRS")
> >   922a8008fe76 ("usb: xhci: Remove in_interrupt() checks")
> >   9b28508e2a86 ("usbip: Remove in_interrupt() check")
> >   b3cbc18f80c6 ("usb: gadget: pxa27x_udc: Replace in_interrupt() usage in
> > comments")
> >   ff6f2b42ea3a ("usb: core: Replace in_interrupt() in comments")
> >   b6d8ac49953b ("usb: gadget: udc: Remove in_interrupt()/in_irq() from
> > comments")
> >   399452b463eb ("USB: host: ehci-pmcmsp: Cleanup
> > usb_hcd_msp_remove()")
> >   87d64cb083fa ("usb: hosts: Remove in_interrupt() from comments")
> >   6a700d8af537 ("usb: atm: Replace in_interrupt() usage in comment")
> >   9573d69a7657 ("USB: sisusbvga: Make console support depend on
> > BROKEN")
> >   3d30c6e0bb36 ("usb: Add driver to allow any GPIO to be used for 7211 USB
> > signals")
> >   e7ed6422dd9c ("dt-bindings: Add support for Broadcom USB pin map driver")
> >   7f08972e12f0 ("usb: host: xhci-mem: remove unneeded break")
> >   8a508616ef64 ("usb: storage: freecom: remove unneeded break")
> >   597335205373 ("usb: misc: iowarrior: remove unneeded break")
> >   c902d58d8b24 ("usb: host: ehci-sched: add comment about find_tt() not
> > returning error")
> > 
> > are missing a Signed-off-by from their committers.
> > 
> > It look like you have rebased (part of) Greg's usb tree into your tree :-(
> 
> Yes, you are right. It seems I could only rebase Greg's usb-next tree which I tracked,
> but I can't rebase Greg's usb-linus tree which contains bug fixes.

Please never rebase any public tree, that way lies madness...

greg k-h